%define name    sweep 
%define version 0.9.2
%define release %mkrel 1

Summary: 	Sound sample editor 
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
URL: 		http://sweep.sourceforge.net/
Source:	 	http://prdownloads.sourceforge.net/sweep/%{name}-%{version}.tar.bz2
License: 	GPL 
Group: 		Sound
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  gtk+2-devel
BuildRequires:  libmad-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libsndfile-devel >= 1.0.2
BuildRequires:  libspeex-devel
BuildRequires:  libalsa-devel
BuildRequires:  libtdb-devel
BuildRequires:  libvorbis-devel
BuildRequires:  librsvg
BuildRequires:  desktop-file-utils
#gw aclocal
Buildrequires: gettext-devel
#gw lam also has a binary named sweep
Conflicts:	lam-runtime
%description

Sweep is an audio editor and live playback tool for GNU/Linux, BSD and
compatible systems. It supports many music and voice formats including
WAV, AIFF, Ogg Vorbis, Speex and MP3, with multichannel editing and
LADSPA effects plugins. Inside lives a pesky little virtual stylus called
Scrubby who enjoys mixing around in your files.

%package devel
Summary: C headers for developing Sweep plugins
Group: Development/C
Requires: %name = %version

%description devel
Sweep is an audio editor and live playback tool for GNU/Linux, BSD and
compatible systems. It supports many music and voice formats including
WAV, AIFF, Ogg Vorbis, Speex and MP3, with multichannel editing and
LADSPA effects plugins. Inside lives a pesky little virtual stylus called
Scrubby who enjoys mixing around in your files.

This package contains the C headers needed to compile plugins for Sweep.


%prep
%setup -q
aclocal
autoconf
automake -a -c

%build
%configure2_5x --enable-alsa

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std MKINSTALLDIRS=`pwd`/mkinstalldirs
rm -rf %buildroot%_datadir/locale/en_AU
%{find_lang} %{name}

(cd $RPM_BUILD_ROOT
mkdir -p .%_menudir
cat > .%_menudir/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/sweep"\
title="Sweep"\
longtitle="Sound editor"\
needs="x11"\
icon="%name.png"\
section="Multimedia/Sound" \
xdg="true"
EOF
)

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --add-category="AudioVideo" \
  --add-category="Audio" \
  --add-category="Sequencer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
rsvg -w 48 -h 48 %name.svg %buildroot%_liconsdir/%name.png
rsvg -w 32 -h 32 %name.svg %buildroot%_iconsdir/%name.png
rsvg -w 16 -h 16 %name.svg %buildroot%_miconsdir/%name.png


%post
/sbin/ldconfig
%{update_menus}
 
%postun
/sbin/ldconfig
%{clean_menus}  

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS
%{_bindir}/*
%{_mandir}/man1/*
%_datadir/applications/%name.desktop
%{_datadir}/pixmaps/*
%{_menudir}/*
%dir %_libdir/sweep/
%_libdir/sweep/*.so*
%dir %_datadir/sweep/
%_datadir/sweep/sweep_splash.png
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%files devel 
%defattr(-,root,root)
%doc doc/*.txt
%dir %_includedir/%name
%_includedir/%name/*.h


%changelog
* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdv2007.0
+ Revision: 116971
- new version
- update file list

* Thu Jan 18 2007 Lenny Cartier <lenny@mandriva.com> 0.9.1-4mdv2007.1
+ Revision: 110303
- Buildrequires
- Rebuild for dependencies
- Import sweep



* Tue Sep 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.1-2mdv2007.0
- XDG

* Tue Jan 31 2006 Götz Waschk <waschk@mandriva.org> 0.9.1-1mdk
- New release 0.9.1

* Wed Jan 18 2006 Gtz Waschk <waschk@mandriva.org> 0.9.0-1mdk
- fix icons
- this one depends on gtk2
- New release 0.9.0
- use mkrel

* Mon Aug 22 2005 Gtz Waschk <waschk@mandriva.org> 0.8.4-1mdk
- drop alsa workaround
- New release 0.8.4

* Thu Jun  2 2005 Gtz Waschk <waschk@mandriva.org> 0.8.3-3mdk
- fix buildrequires

* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 0.8.3-2mdk
- reenable libtoolize

* Fri Apr 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-1mdk
- don't libtoolize
- use the right configure macro
- fix menu dir
- fix source URL
- new version

* Fri Jan  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-2mdk
- fix buildrequries
- fix build with new alsa

* Wed Apr 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- enable alsa
- new version

* Tue Apr 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-3mdk
- fix distriblint warnings

* Mon Mar 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-2mdk
- rebuild with new speex

* Thu Feb  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-1mdk
- new version

* Sat Jan 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- new version

* Fri Dec 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.13-2mdk
- rebuild for new glibc

* Fri Dec 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.13-1mdk
- new version

* Thu Dec 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.12-2mdk
- build with speex support
- remove the empty australian translation
- add icons

* Wed Dec 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.12-1mdk
- split out devel package
- fix installation
- fix description
- add the needed buildrequires
- new version

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1.1-3mdk
- Fix menu entry
- Add missing files

* Tue Nov 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-2mdk
- rebuild

* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-1mdk
- updated to 0.1.1

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.9-1mdk
- bm & macros & updated to 0.0.9

* Mon May 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.8-1mdk
- new in contribs
- used specfile provided by <rufus.t.firefly@linux-mandrake.com>

* Thu May 04 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - 0.0.8-1mdk

* Tue May 02 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - 0.0.7-1mdk (initial packaging, with bzip2 tarball)
